#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPurchaseRequestAction {
    None = 0,
    Decline = 1,
    Purchased = 2,
    Abandoned = 3,
    Cancel = 4,
    MAX = 5,
}

impl EPurchaseRequestAction {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Decline as i32 => Some(Self::Decline),
            x if x == Self::Purchased as i32 => Some(Self::Purchased),
            x if x == Self::Abandoned as i32 => Some(Self::Abandoned),
            x if x == Self::Cancel as i32 => Some(Self::Cancel),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
